This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 466187 - not all eeePC 901 keys detected on keyboard
not all eeePC 901 keys detected on keyboard
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xkeyboard-config (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target FedoraMini/Mobility
  Show dependency treegraph
 
Reported: 2008-10-08 18:22 EDT by Peter Robinson
Modified: 2008-10-13 19:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-13 01:23:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2008-10-08 18:22:57 EDT
On my eeePC 901 running F-10 beta/rawhide with a US layout the keys with ~` (between ESC and F1) and "' usual spot near ENTER don't work. In gnome keyboard preferences the keyobard model is "evdev managed keyboard" and the layout listed is "USA International (with dead keys).
Comment 1 Peter Robinson 2008-10-10 13:27:38 EDT
I have also discovered that it has the truly annoying issue that when you type apostrophe and the a letter you get accented characters. like this should be apostrophe s -> ś ŕ ẃ but when you type a space afterwards the char it seems to work '
Comment 2 Peter Hutterer 2008-10-13 01:23:37 EDT
This is standard behaviour of the US (intl) keyboard. If you don't need the deadkey features, just switch to normal US layout and the apostrophe and tilde key will work as expected again.

FYI: in US(intl), the tilde key produces a grave accent and the ~ sign on shift. the apostrophe key produces an acute accent, and a double acute on shift.
Comment 3 Peter Robinson 2008-10-13 19:08:29 EDT
Thanks, fixed the problem perfectly. No idea why I selected that on install this time. Never have before!

Note You need to log in before you can comment on or make changes to this bug.